<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a id="index_h"></a>- h -</h3><ul>
<li>hardwareVersion
: <a class="el" href="structCK__SLOT__INFO.html#a13aace04822afda5af556b8eccfc447d">CK_SLOT_INFO</a>
, <a class="el" href="structCK__TOKEN__INFO.html#a13aace04822afda5af556b8eccfc447d">CK_TOKEN_INFO</a>
</li>
<li>hashAlg
: <a class="el" href="structCK__RSA__PKCS__OAEP__PARAMS.html#ae4f8f4479f2ba048f5c333c8e3b9de7f">CK_RSA_PKCS_OAEP_PARAMS</a>
, <a class="el" href="structCK__RSA__PKCS__PSS__PARAMS.html#ae4f8f4479f2ba048f5c333c8e3b9de7f">CK_RSA_PKCS_PSS_PARAMS</a>
</li>
<li>hClientKey
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#a56acdecbc9f199ec00a13cae8f7b2430">CK_SSL3_KEY_MAT_OUT</a>
</li>
<li>hClientMacSecret
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#ae06165859f1a2f3de8e335b81757610e">CK_SSL3_KEY_MAT_OUT</a>
</li>
<li>hPrivateData
: <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a2f6769e4ceda4853db07b96b8e5770a0">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a2f6769e4ceda4853db07b96b8e5770a0">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>hServerKey
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#a5980d692dfc46593fe38f13624b82bd4">CK_SSL3_KEY_MAT_OUT</a>
</li>
<li>hServerMacSecret
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#a2c95f41daaa425212b2f179a0e030cca">CK_SSL3_KEY_MAT_OUT</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
